import {
  ChartDataSectionField,
  FormatFieldAction,
  GridStyle,
  LabelStyle,
} from 'app/types/ChartConfig';

export interface PieSpec {
  radius: string[] | string;
  roseType: boolean;
}

export type PieSpecImpl = {
  type: string;
  sampling: string;
  avoidLabelOverlap: boolean;
} & GridStyle &
  PieSpec &
  LabelStyle;

export type PieSpecStyle = {
  name?: string;
  data: Array<
    {
      format: FormatFieldAction | undefined;
      name: string;
      value: any[];
      itemStyle: { [x: string]: any } | undefined;
      rowData: { [key: string]: any };
    } & ChartDataSectionField
  >;
} & PieSpecImpl;



